Package org.eclipse.mat.inspections

# Class CommonNameResolver.ClassTypeResolver

java.lang.Object
org.eclipse.mat.inspections.CommonNameResolver.ClassTypeResolver

All Implemented Interfaces:
  `IClassSpecificNameResolver`

Enclosing class:
  CommonNameResolver

public static class CommonNameResolver.ClassTypeResolver extends Object implements IClassSpecificNameResolver
For Oracle VMs for int.class, byte.class, void.class etc. These are just simple IObjects, not IClass objects. All other classes resolve via IClass.

## Constructor Summary

Constructors
Constructor
Description
`ClassTypeResolver()`

## Method Summary

Modifier and Type
Method
Description
`String`
`resolve(IObject object)`
Resolve the name for snapshot object.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ClassTypeResolver

public ClassTypeResolver()

## Method Details

### resolve

public String resolve(IObject object) throws SnapshotException
Description copied from interface: `IClassSpecificNameResolver`
Resolve the name for snapshot object.

Specified by:
  `resolve` in interface `IClassSpecificNameResolver`
Parameters:
  `object` - object for which the name should be resolved
Returns:
  name for snapshot object
Throws:
  `SnapshotException` - problem retrieving the name